package cn.superdesk.uniorder.dubbo.provider.sys;

import cn.superdesk.uniorder.dao.entity.sys.SysInv;
import cn.superdesk.uniorder.dubbo.facade.sys.DubboSysInvService;
import cn.superdesk.uniorder.service.sys.SysInvService;
import com.alibaba.dubbo.config.annotation.Service;
import org.springframework.beans.factory.annotation.Autowired;

@Service(version = "1.0.0", retries = -1, timeout = 10000)
public class DubboSysInvServiceImpl implements DubboSysInvService {

	@Autowired
	private SysInvService invService;

	@Override
	public SysInv findById(Long id) {

		return invService.findById(id);
	}

	@Override
	public void update(SysInv t) {

		invService.updateByPrimaryKeySelective(t);
	}

	@Override
	public SysInv add(SysInv t) {

		invService.insertSelective(t);
		return t;
	}

}
